import re

import regex

REVERSE = {}

def HTMLColorToRGB(colorstring):
    """ convert #RRGGBB to an (R, G, B) tuple """
    colorstring = colorstring.strip()
    if colorstring[0] == '#': colorstring = colorstring[1:]
    if len(colorstring) != 6:
        raise ValueError, "input #%s is not in #RRGGBB format" % colorstring
    r, g, b = colorstring[:2], colorstring[2:4], colorstring[4:]
    r, g, b = [int(n, 16) for n in (r, g, b)]
    return (r, g, b)

def HTMLColorToRGBA(colorstring,opacity):
    """ convert #RRGGBB to an (R, G, B) tuple """
    colorstring = colorstring.strip()
    if colorstring[0] == '#': colorstring = colorstring[1:]
    if len(colorstring) != 6:
        raise ValueError, "input #%s is not in #RRGGBB format" % colorstring
    r, g, b = colorstring[:2], colorstring[2:4], colorstring[4:]
    r, g, b = [int(n, 16) for n in (r, g, b)]
    return (r, g, b,255-opacity)

def _to_english(match):
    return '<%s>'%_r(match.group(1))

def to_english(x):
    _x  = _r(x)
    if x != _x:
        return _x
    return regex.VARIABLE.sub(_to_english,x)

def _to_local(match):
    return '<%s>'%_(match.group(1))

def to_local(x):
    _x  = _(x)
    if x != _x:
        return _x
    return regex.VARIABLE.sub(_to_local,x)

def _t(phrase):
    REVERSE[_(phrase)]    = phrase
    return phrase
        
def _r(phrase):
    return REVERSE.get(phrase,phrase)


