#License: latest GPL


import cStringIO, zlib

import wx

def bitmap(icon,size=(48,48),client=wx.ART_OTHER):
    if icon[:4]=='ART_':
        return wx.ArtProvider_GetBitmap(getattr(wx,icon),client,size)
    else:
        return wx.BitmapFromImage(image(icon))
            
def image(icon,size=(48,48)):
    if icon[:4]=='ART_':
        return wx.ImageFromBitmap(bitmap(icon,size))
    else:
        return wx.ImageFromStream(cStringIO.StringIO(zlib.decompress(icon)))
           
