#license: latest GPL

import wx
import wx.py

class Frame(wx.Frame):
    def __init__(self, parent, title='Shell', intro='', values={}, **kw):
        wx.Frame.__init__(self, parent, -1, title = title, **kw)
        self.shell = wx.py.crust.Crust(self, -1, intro=intro) 
        pp  = self.shell.shell.interp.locals['pp']
        self.shell.shell.interp.locals.clear()
        self.shell.shell.interp.locals.update(values)
        self.shell.shell.interp.locals['pp'] = pp
        self.Bind(wx.EVT_CLOSE,self.on_close,self)
        
    def on_close(self,event):
        parent          = self.GetParent()
        parent.menu_tools.Check(parent.menu_tools_python_shell.GetId(),False)
        parent.shell    = None
        event.Skip()